(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     44037,       1000]
NotebookOptionsPosition[     43644,        981]
NotebookOutlinePosition[     43987,        996]
CellTagsIndexPosition[     43944,        993]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Slapov\[EAcute] s\[IAcute]ly", "Title",
 CellChangeTimes->{{3.5794517931293564`*^9, 3.5794518015829067`*^9}},
 FontColor->RGBColor[1, 0, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"dim", "\[Equal]", "2"}], ",", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{"2", "D", " ", "dimenze"}], " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", "Zem\[EHacek]", " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"Blue", ",", 
           RowBox[{"Circle", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0"}], "}"}], ",", "RE"}], "]"}]}], "}"}], 
         ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"(*", " ", 
          RowBox[{"\[SHacek]ipka", " ", "k", " ", "M\[EHacek]s\[IAcute]ci"}], 
          " ", "*)"}], "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Dashed", ",", 
           RowBox[{"Arrowheads", "[", "Medium", "]"}], ",", 
           RowBox[{"Arrow", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", 
              RowBox[{"12", " ", 
               SuperscriptBox["10", "6"], 
               RowBox[{"{", " ", 
                RowBox[{
                 RowBox[{"Cos", "[", "t", "]"}], ",", " ", 
                 RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}]}], "}"}], "]"}]}], 
          "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"(*", " ", 
          RowBox[{"\[SHacek]ipka", " ", "ke", " ", "Slunci"}], " ", "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Green", ",", "Dashed", ",", 
           RowBox[{"Arrowheads", "[", "Medium", "]"}], ",", 
           RowBox[{"Arrow", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"8.2", " ", 
                 SuperscriptBox["10", "6"]}], ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"12", " ", 
                 SuperscriptBox["10", "6"]}], ",", " ", "0"}], "}"}]}], "}"}],
             "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{"(*", " ", 
             RowBox[{"body", " ", 
              RowBox[{"na", "/", "v"}], " ", "Zemi"}], " ", "*)"}], 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Point", "[", 
              RowBox[{"g", "[", 
               RowBox[{"i", ",", "\[CurlyPhi]"}], "]"}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
              "slapov\[EAcute]", " ", "s\[IAcute]ly", " ", "jen", " ", "od", 
               " ", "M\[EHacek]s\[IAcute]ce"}], " ", "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{"moon", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Arrowheads", "[", "Small", "]"}], ",", 
                 RowBox[{"Arrow", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"i", ",", "\[CurlyPhi]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"i", ",", "\[CurlyPhi]"}], "]"}], "+", 
                    RowBox[{
                    FractionBox[
                    RowBox[{"3", " ", 
                    SuperscriptBox["10", "12"], " ", "GmM"}], 
                    SuperscriptBox["r1", "2"]], 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Cos", "[", "t", "]"}]}], ",", 
                    RowBox[{"-", 
                    RowBox[{"Sin", "[", "t", "]"}]}]}], "}"}]}], "+", 
                    FractionBox[
                    RowBox[{"3", " ", 
                    SuperscriptBox["10", "12"], " ", "GmM", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"r1", 
                    RowBox[{"{", " ", 
                    RowBox[{
                    RowBox[{"Cos", "[", "t", "]"}], ",", " ", 
                    RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}], "-", 
                    RowBox[{"g", "[", 
                    RowBox[{"i", ",", "\[CurlyPhi]"}], "]"}]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"r1", 
                    RowBox[{"{", " ", 
                    RowBox[{
                    RowBox[{"Cos", "[", "t", "]"}], ",", " ", 
                    RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}], "-", 
                    RowBox[{"g", "[", 
                    RowBox[{"i", ",", "\[CurlyPhi]"}], "]"}]}], "]"}], 
                    "3"]]}]}], "}"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
              "slapov\[EAcute]", " ", "s\[IAcute]ly", " ", "jen", " ", "od", 
               " ", "Slunce"}], " ", "*)"}], "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{"sun", ",", 
               RowBox[{"{", 
                RowBox[{"Green", ",", 
                 RowBox[{"Arrowheads", "[", "Small", "]"}], ",", 
                 RowBox[{"Arrow", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"i", ",", "\[CurlyPhi]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"i", ",", "\[CurlyPhi]"}], "]"}], "+", 
                    RowBox[{
                    FractionBox[
                    RowBox[{"3", " ", 
                    SuperscriptBox["10", "12"], " ", "GmS"}], 
                    SuperscriptBox["r2", "2"]], 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "+", 
                    FractionBox[
                    RowBox[{"3", " ", 
                    SuperscriptBox["10", "12"], " ", "GmS", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"r2", ",", "0"}], "}"}], "-", 
                    RowBox[{"g", "[", 
                    RowBox[{"i", ",", "\[CurlyPhi]"}], "]"}]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"r2", ",", "0"}], "}"}], "-", 
                    RowBox[{"g", "[", 
                    RowBox[{"i", ",", "\[CurlyPhi]"}], "]"}]}], "]"}], 
                    "3"]]}]}], "}"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
              "v\[YAcute]sledn\[EAcute]", " ", "slapov\[EAcute]", " ", 
               "s\[IAcute]ly", " ", "od", " ", "M\[EHacek]s\[IAcute]ce", " ", 
               "a", " ", "Slunce"}], " ", "*)"}], "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{"result", ",", 
               RowBox[{"{", 
                RowBox[{"Red", ",", 
                 RowBox[{"Arrowheads", "[", "Small", "]"}], ",", 
                 RowBox[{"Arrow", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"i", ",", "\[CurlyPhi]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"i", ",", "\[CurlyPhi]"}], "]"}], "+", 
                    RowBox[{
                    FractionBox[
                    RowBox[{"3", " ", 
                    SuperscriptBox["10", "12"], " ", "GmM"}], 
                    SuperscriptBox["r1", "2"]], 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Cos", "[", "t", "]"}]}], ",", 
                    RowBox[{"-", 
                    RowBox[{"Sin", "[", "t", "]"}]}]}], "}"}]}], "+", 
                    FractionBox[
                    RowBox[{"3", " ", 
                    SuperscriptBox["10", "12"], " ", "GmM", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"r1", 
                    RowBox[{"{", " ", 
                    RowBox[{
                    RowBox[{"Cos", "[", "t", "]"}], ",", " ", 
                    RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}], "-", 
                    RowBox[{"g", "[", 
                    RowBox[{"i", ",", "\[CurlyPhi]"}], "]"}]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"r1", 
                    RowBox[{"{", " ", 
                    RowBox[{
                    RowBox[{"Cos", "[", "t", "]"}], ",", " ", 
                    RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}], "-", 
                    RowBox[{"g", "[", 
                    RowBox[{"i", ",", "\[CurlyPhi]"}], "]"}]}], "]"}], "3"]], 
                    "+", 
                    RowBox[{
                    FractionBox[
                    RowBox[{"3", " ", 
                    SuperscriptBox["10", "12"], " ", "GmS"}], 
                    SuperscriptBox["r2", "2"]], 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "+", 
                    FractionBox[
                    RowBox[{"3", " ", 
                    SuperscriptBox["10", "12"], " ", "GmS", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"r2", ",", "0"}], "}"}], "-", 
                    RowBox[{"g", "[", 
                    RowBox[{"i", ",", "\[CurlyPhi]"}], "]"}]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"r2", ",", "0"}], "}"}], "-", 
                    RowBox[{"g", "[", 
                    RowBox[{"i", ",", "\[CurlyPhi]"}], "]"}]}], "]"}], 
                    "3"]]}]}], "}"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", "}"}]}], "]"}]}], "\[IndentingNewLine]", "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{"\[CurlyPhi]", ",", "0", ",", 
             RowBox[{"2", "Pi"}], ",", 
             FractionBox[
              RowBox[{"2", "Pi"}], "points"]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", ".2", ",", "1", ",", ".2"}], "}"}]}], "]"}]}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"12", " ", 
         SuperscriptBox["10", "6"], 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}]}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"420", ",", "420"}], "}"}]}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{"3", "D", " ", "dimenze"}], " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", "Zem\[EHacek]", " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"Blue", ",", 
           RowBox[{"Opacity", "[", ".3", "]"}], ",", 
           RowBox[{"Sphere", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "RE"}], "]"}]}], 
          "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], "}"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"(*", " ", 
          RowBox[{"\[SHacek]ipka", " ", "k", " ", "M\[EHacek]s\[IAcute]ci"}], 
          " ", "*)"}], "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Dashed", ",", 
           RowBox[{"Arrowheads", "[", "Medium", "]"}], ",", 
           RowBox[{"Arrow", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
              RowBox[{"12", " ", 
               SuperscriptBox["10", "6"], 
               RowBox[{"{", " ", 
                RowBox[{
                 RowBox[{"Cos", "[", "t", "]"}], ",", " ", 
                 RowBox[{"Sin", "[", "t", "]"}], ",", "0"}], "}"}]}]}], "}"}],
             "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"(*", " ", 
          RowBox[{"\[SHacek]ipka", " ", "ke", " ", "Slunci"}], " ", "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Green", ",", "Dashed", ",", 
           RowBox[{"Arrowheads", "[", "Medium", "]"}], ",", 
           RowBox[{"Arrow", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
              RowBox[{"12", " ", 
               SuperscriptBox["10", "6"], 
               RowBox[{"{", " ", 
                RowBox[{"1", ",", "0", ",", "0"}], "}"}]}]}], "}"}], "]"}]}], 
          "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{"(*", " ", 
             RowBox[{"body", " ", 
              RowBox[{"na", "/", "v"}], " ", "Zemi"}], " ", "*)"}], 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Point", "[", 
              RowBox[{"f", "[", 
               RowBox[{"\[Theta]", ",", "\[CurlyPhi]"}], "]"}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
              "slapov\[EAcute]", " ", "s\[IAcute]ly", " ", "jen", " ", "od", 
               " ", "M\[EHacek]s\[IAcute]ce"}], " ", "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{"moon", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Arrowheads", "[", "Small", "]"}], ",", 
                 RowBox[{"Arrow", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"\[Theta]", ",", "\[CurlyPhi]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"\[Theta]", ",", "\[CurlyPhi]"}], "]"}], "+", 
                    RowBox[{
                    FractionBox[
                    RowBox[{"3", " ", 
                    SuperscriptBox["10", "12"], " ", "GmM"}], 
                    SuperscriptBox["r1", "2"]], 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Cos", "[", "t", "]"}]}], ",", 
                    RowBox[{"-", 
                    RowBox[{"Sin", "[", "t", "]"}]}], ",", "0"}], "}"}]}], 
                    "+", 
                    FractionBox[
                    RowBox[{"3", " ", 
                    SuperscriptBox["10", "12"], " ", "GmM", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"r1", 
                    RowBox[{"{", " ", 
                    RowBox[{
                    RowBox[{"Cos", "[", "t", "]"}], ",", " ", 
                    RowBox[{"Sin", "[", "t", "]"}], ",", "0"}], "}"}]}], "-", 
                    RowBox[{"f", "[", 
                    RowBox[{"\[Theta]", ",", "\[CurlyPhi]"}], "]"}]}], 
                    ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"r1", 
                    RowBox[{"{", " ", 
                    RowBox[{
                    RowBox[{"Cos", "[", "t", "]"}], ",", " ", 
                    RowBox[{"Sin", "[", "t", "]"}], ",", "0"}], "}"}]}], "-", 
                    RowBox[{"f", "[", 
                    RowBox[{"\[Theta]", ",", "\[CurlyPhi]"}], "]"}]}], "]"}], 
                    "3"]]}]}], "}"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
              "slapov\[EAcute]", " ", "s\[IAcute]ly", " ", "jen", " ", "od", 
               " ", "Slunce"}], " ", "*)"}], "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{"sun", ",", 
               RowBox[{"{", 
                RowBox[{"Green", ",", 
                 RowBox[{"Arrowheads", "[", "Small", "]"}], ",", 
                 RowBox[{"Arrow", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"\[Theta]", ",", "\[CurlyPhi]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"\[Theta]", ",", "\[CurlyPhi]"}], "]"}], "+", 
                    RowBox[{
                    FractionBox[
                    RowBox[{"3", " ", 
                    SuperscriptBox["10", "12"], " ", "GmS"}], 
                    SuperscriptBox["r2", "2"]], 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}]}], "+", 
                    FractionBox[
                    RowBox[{"3", " ", 
                    SuperscriptBox["10", "12"], " ", "GmS", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"r2", ",", "0", ",", "0"}], "}"}], "-", 
                    RowBox[{"f", "[", 
                    RowBox[{"\[Theta]", ",", "\[CurlyPhi]"}], "]"}]}], 
                    ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"r2", ",", "0", ",", "0"}], "}"}], "-", 
                    RowBox[{"f", "[", 
                    RowBox[{"\[Theta]", ",", "\[CurlyPhi]"}], "]"}]}], "]"}], 
                    "3"]]}]}], "}"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
              "v\[YAcute]sledn\[EAcute]", " ", "slapov\[EAcute]", " ", 
               "s\[IAcute]ly", " ", "od", " ", "M\[EHacek]s\[IAcute]ce", " ", 
               "a", " ", "Slunce"}], " ", "*)"}], "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{"result", ",", 
               RowBox[{"{", 
                RowBox[{"Red", ",", 
                 RowBox[{"Arrowheads", "[", "Small", "]"}], ",", 
                 RowBox[{"Arrow", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"\[Theta]", ",", "\[CurlyPhi]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"\[Theta]", ",", "\[CurlyPhi]"}], "]"}], "+", 
                    RowBox[{
                    FractionBox[
                    RowBox[{"3", " ", 
                    SuperscriptBox["10", "12"], " ", "GmM"}], 
                    SuperscriptBox["r1", "2"]], 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Cos", "[", "t", "]"}]}], ",", 
                    RowBox[{"-", 
                    RowBox[{"Sin", "[", "t", "]"}]}], ",", "0"}], "}"}]}], 
                    "+", 
                    FractionBox[
                    RowBox[{"3", " ", 
                    SuperscriptBox["10", "12"], " ", "GmM", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"r1", 
                    RowBox[{"{", " ", 
                    RowBox[{
                    RowBox[{"Cos", "[", "t", "]"}], ",", " ", 
                    RowBox[{"Sin", "[", "t", "]"}], ",", "0"}], "}"}]}], "-", 
                    RowBox[{"f", "[", 
                    RowBox[{"\[Theta]", ",", "\[CurlyPhi]"}], "]"}]}], 
                    ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"r1", 
                    RowBox[{"{", " ", 
                    RowBox[{
                    RowBox[{"Cos", "[", "t", "]"}], ",", " ", 
                    RowBox[{"Sin", "[", "t", "]"}], ",", "0"}], "}"}]}], "-", 
                    RowBox[{"f", "[", 
                    RowBox[{"\[Theta]", ",", "\[CurlyPhi]"}], "]"}]}], "]"}], 
                    "3"]], "+", 
                    RowBox[{
                    FractionBox[
                    RowBox[{"3", " ", 
                    SuperscriptBox["10", "12"], " ", "GmS"}], 
                    SuperscriptBox["r2", "2"]], 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}]}], "+", 
                    FractionBox[
                    RowBox[{"3", " ", 
                    SuperscriptBox["10", "12"], " ", "GmS", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"r2", ",", "0", ",", "0"}], "}"}], "-", 
                    RowBox[{"f", "[", 
                    RowBox[{"\[Theta]", ",", "\[CurlyPhi]"}], "]"}]}], 
                    ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"r2", ",", "0", ",", "0"}], "}"}], "-", 
                    RowBox[{"f", "[", 
                    RowBox[{"\[Theta]", ",", "\[CurlyPhi]"}], "]"}]}], "]"}], 
                    "3"]]}]}], "}"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", "}"}]}], "]"}]}], "\[IndentingNewLine]", "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{"\[Theta]", ",", "0", ",", 
             RowBox[{"2", "Pi"}], ",", 
             FractionBox[
              RowBox[{"2", "Pi"}], "points"]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[CurlyPhi]", ",", "0", ",", 
             RowBox[{"2", "Pi"}], ",", 
             FractionBox[
              RowBox[{"2", "Pi"}], "points"]}], "}"}]}], "]"}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"12", " ", 
         SuperscriptBox["10", "6"], 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}]}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"420", ",", "420"}], "}"}]}], ",", " ", 
       RowBox[{"Boxed", "\[Rule]", " ", "False"}], ",", " ", 
       RowBox[{"SphericalRegion", "\[Rule]", " ", "True"}], ",", " ", 
       RowBox[{"ViewAngle", "\[Rule]", " ", 
        FractionBox["\[Pi]", "9"]}]}], "]"}]}], "]"}], ",", 
   "\[IndentingNewLine]", "\"\<poloha M\[EHacek]s\[IAcute]ce\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "\"\<\>\""}], "}"}], ",", "0", ",", 
     RowBox[{"2", "Pi"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Closed\>\""}]}], "}"}], ",", 
   "Delimiter", ",", "\[IndentingNewLine]", 
   "\"\<vzd\[AAcute]lenost Zem\[EHacek]-M\[EHacek]s\[IAcute]c\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r1", ",", 
       RowBox[{"3.844", " ", 
        SuperscriptBox["10", "8"]}], ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"3.57", " ", 
      SuperscriptBox["10", "8"]}], ",", 
     RowBox[{"4.07", " ", 
      SuperscriptBox["10", "8"]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Closed\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\"\<vzd\[AAcute]lenost Zem\[EHacek]-Slunce\>\"", 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r2", ",", 
       RowBox[{"1.496", " ", 
        SuperscriptBox["10", "11"]}], ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"1.471", " ", 
      SuperscriptBox["10", "11"]}], ",", 
     RowBox[{"1.521", " ", 
      SuperscriptBox["10", "11"]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Closed\>\""}]}], "}"}], ",", 
   "Delimiter", ",", "\[IndentingNewLine]", "\"\<dimenze\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dim", ",", "2", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"2", "\[Rule]", "\"\< 2D \>\""}], ",", 
       RowBox[{"3", "\[Rule]", "\"\< 3D \>\""}]}], "}"}]}], "}"}], ",", 
   "Delimiter", ",", "\[IndentingNewLine]", 
   "\"\<po\[CHacek]et bod\[URing]\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"points", ",", "8", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"dim", "\[Equal]", "2"}], ",", 
       RowBox[{"{", 
        RowBox[{"8", ",", "16", ",", "32", ",", "64"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"8", ",", "16", ",", "32"}], "}"}]}], "]"}], ",", 
     RowBox[{"ControlType", "->", "Setter"}]}], "}"}], ",", "Delimiter", ",", 
   "\[IndentingNewLine]", "\"\<slapov\[EAcute] s\[IAcute]ly\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Grid", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Control", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"moon", ",", "True", ",", "\"\<\>\""}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"True", ",", "False"}], "}"}]}], "}"}], "]"}], ",", 
         "\"\<M\[EHacek]s\[IAcute]ce (\[CHacek]ern\[EHacek])\>\""}], "}"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Control", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"sun", ",", "True", ",", "\"\<\>\""}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"True", ",", "False"}], "}"}]}], "}"}], "]"}], ",", 
         "\"\<Slunce (zelen\[EHacek])\>\""}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Control", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"result", ",", "True", ",", "\"\<\>\""}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"True", ",", "False"}], "}"}]}], "}"}], "]"}], ",", 
         "\"\<obou (\[CHacek]erven\[EHacek])\>\""}], "}"}]}], 
      "\[IndentingNewLine]", "}"}], ",", 
     RowBox[{"Alignment", "\[Rule]", "Left"}]}], "]"}], ",", "Delimiter", ",", 
   RowBox[{"Item", "[", "\"\<Autor: Tom\[AAcute]\[SHacek] Franc\>\"", "]"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"GmS", "=", 
       RowBox[{"132712", " ", 
        SuperscriptBox["10", "15"]}]}], ";", 
      RowBox[{"GmM", "=", 
       RowBox[{".0049", " ", 
        SuperscriptBox["10", "15"]}]}], ";", 
      RowBox[{"RE", "=", 
       RowBox[{"6.378", " ", 
        SuperscriptBox["10", "6"]}]}], ";", 
      RowBox[{
       RowBox[{"g", "[", 
        RowBox[{"i_", ",", "\[CurlyPhi]_"}], "]"}], ":=", 
       RowBox[{"i", " ", "RE", " ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Cos", "[", "\[CurlyPhi]", "]"}], ",", " ", 
          RowBox[{"Sin", "[", "\[CurlyPhi]", "]"}]}], "}"}]}]}], ";", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"\[Theta]_", ",", "\[CurlyPhi]_"}], "]"}], ":=", " ", 
       RowBox[{"RE", 
        RowBox[{"{", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"Cos", "[", "\[Theta]", "]"}], 
           RowBox[{"Cos", "[", "\[CurlyPhi]", "]"}]}], ",", " ", 
          RowBox[{
           RowBox[{"Cos", "[", "\[Theta]", "]"}], 
           RowBox[{"Sin", "[", "\[CurlyPhi]", "]"}]}], ",", " ", 
          RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "}"}]}]}]}], ")"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.5794518193494315`*^9, 3.579452002108676*^9}, {
  3.579452048970415*^9, 3.57945205633016*^9}, {3.5794521494129934`*^9, 
  3.5794522448396945`*^9}, {3.5794536548552575`*^9, 3.5794536688872156`*^9}, {
  3.589188976468986*^9, 3.589189026940346*^9}, {3.58918973472939*^9, 
  3.589189860048369*^9}, {3.589189908628993*^9, 3.589190044870411*^9}, {
  3.589190384919237*^9, 3.5891904043577433`*^9}, {3.589190720627497*^9, 
  3.589190721752565*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`dim$$ = 2, $CellContext`moon$$ = 
    True, $CellContext`points$$ = 8, $CellContext`r1$$ = 
    3.844*^8, $CellContext`r2$$ = 1.496*^11, $CellContext`result$$ = 
    True, $CellContext`sun$$ = True, $CellContext`t$$ = 0, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold["poloha M\[EHacek]s\[IAcute]ce"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`t$$], 0, ""}, 0, 2 Pi}, {
      Hold["vzd\[AAcute]lenost Zem\[EHacek]-M\[EHacek]s\[IAcute]c"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`r1$$], 3.844*^8, ""}, 3.57*^8, 4.07*^8}, {
      Hold["vzd\[AAcute]lenost Zem\[EHacek]-Slunce"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`r2$$], 1.496*^11, ""}, 1.471*^11, 1.521*^11}, {
      Hold["dimenze"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`dim$$], 2, ""}, {2 -> " 2D ", 3 -> " 3D "}}, {
      Hold["po\[CHacek]et bod\[URing]"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`points$$], 8, ""}, 
      Dynamic[
       If[$CellContext`dim$$ == 2, {8, 16, 32, 64}, {8, 16, 32}]]}, {
      Hold["slapov\[EAcute] s\[IAcute]ly"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`moon$$], True, ""}, {True, False}}, {{
       Hold[$CellContext`sun$$], True, ""}, {True, False}}, {{
       Hold[$CellContext`result$$], True, ""}, {True, False}}, {
      Hold[
       Grid[{{
          Manipulate`Place[1], 
          "M\[EHacek]s\[IAcute]ce (\[CHacek]ern\[EHacek])"}, {
          Manipulate`Place[2], "Slunce (zelen\[EHacek])"}, {
          Manipulate`Place[3], "obou (\[CHacek]erven\[EHacek])"}}, Alignment -> 
        Left]], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Item["Autor: Tom\[AAcute]\[SHacek] Franc"]], 
      Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = {
    420., {208., 212.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`t$1184$$ = 
    0, $CellContext`r1$1185$$ = 0, $CellContext`r2$1186$$ = 
    0, $CellContext`dim$1187$$ = False, $CellContext`moon$1188$$ = 
    False, $CellContext`sun$1189$$ = False, $CellContext`result$1190$$ = 
    False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     2, StandardForm, 
      "Variables" :> {$CellContext`dim$$ = 2, $CellContext`moon$$ = 
        True, $CellContext`points$$ = 8, $CellContext`r1$$ = 
        3.844*^8, $CellContext`r2$$ = 1.496*^11, $CellContext`result$$ = 
        True, $CellContext`sun$$ = True, $CellContext`t$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`t$$, $CellContext`t$1184$$, 0], 
        Hold[$CellContext`r1$$, $CellContext`r1$1185$$, 0], 
        Hold[$CellContext`r2$$, $CellContext`r2$1186$$, 0], 
        Hold[$CellContext`dim$$, $CellContext`dim$1187$$, False], 
        Hold[$CellContext`moon$$, $CellContext`moon$1188$$, False], 
        Hold[$CellContext`sun$$, $CellContext`sun$1189$$, False], 
        Hold[$CellContext`result$$, $CellContext`result$1190$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> If[$CellContext`dim$$ == 2, 
        Graphics[{{Blue, 
           Circle[{0, 0}, $CellContext`RE]}, 
          Point[{0, 0}], {Dashed, 
           Arrowheads[Medium], 
           Arrow[{{0, 0}, 12 10^6 {
               Cos[$CellContext`t$$], 
               Sin[$CellContext`t$$]}}]}, {Green, Dashed, 
           Arrowheads[Medium], 
           Arrow[{{8.2 10^6, 0}, {12 10^6, 0}}]}, 
          Table[{
            Point[
             $CellContext`g[$CellContext`i, $CellContext`\[CurlyPhi]]], 
            If[$CellContext`moon$$, {
              Arrowheads[Small], 
              Arrow[{
                $CellContext`g[$CellContext`i, $CellContext`\[CurlyPhi]], \
$CellContext`g[$CellContext`i, $CellContext`\[CurlyPhi]] + (3 
                  10^12 $CellContext`GmM/$CellContext`r1$$^2) {-
                   Cos[$CellContext`t$$], -Sin[$CellContext`t$$]} + 
                3 10^12 $CellContext`GmM ($CellContext`r1$$ {
                    Cos[$CellContext`t$$], 
                    
                    Sin[$CellContext`t$$]} - $CellContext`g[$CellContext`i, \
$CellContext`\[CurlyPhi]])/Norm[$CellContext`r1$$ {
                    Cos[$CellContext`t$$], 
                    
                    Sin[$CellContext`t$$]} - $CellContext`g[$CellContext`i, \
$CellContext`\[CurlyPhi]]]^3}]}, {}], 
            If[$CellContext`sun$$, {Green, 
              Arrowheads[Small], 
              Arrow[{
                $CellContext`g[$CellContext`i, $CellContext`\[CurlyPhi]], \
$CellContext`g[$CellContext`i, $CellContext`\[CurlyPhi]] + (3 
                  10^12 $CellContext`GmS/$CellContext`r2$$^2) {-1, 0} + 
                3 10^12 $CellContext`GmS ({$CellContext`r2$$, 
                    0} - $CellContext`g[$CellContext`i, $CellContext`\
\[CurlyPhi]])/Norm[{$CellContext`r2$$, 
                    0} - $CellContext`g[$CellContext`i, $CellContext`\
\[CurlyPhi]]]^3}]}, {}], 
            If[$CellContext`result$$, {Red, 
              Arrowheads[Small], 
              Arrow[{
                $CellContext`g[$CellContext`i, $CellContext`\[CurlyPhi]], \
$CellContext`g[$CellContext`i, $CellContext`\[CurlyPhi]] + (3 
                  10^12 $CellContext`GmM/$CellContext`r1$$^2) {-
                   Cos[$CellContext`t$$], -Sin[$CellContext`t$$]} + 
                3 10^12 $CellContext`GmM ($CellContext`r1$$ {
                    Cos[$CellContext`t$$], 
                    
                    Sin[$CellContext`t$$]} - $CellContext`g[$CellContext`i, \
$CellContext`\[CurlyPhi]])/Norm[$CellContext`r1$$ {
                    Cos[$CellContext`t$$], 
                    
                    Sin[$CellContext`t$$]} - $CellContext`g[$CellContext`i, \
$CellContext`\[CurlyPhi]]]^3 + (3 
                  10^12 $CellContext`GmS/$CellContext`r2$$^2) {-1, 0} + 
                3 10^12 $CellContext`GmS ({$CellContext`r2$$, 
                    0} - $CellContext`g[$CellContext`i, $CellContext`\
\[CurlyPhi]])/Norm[{$CellContext`r2$$, 
                    0} - $CellContext`g[$CellContext`i, $CellContext`\
\[CurlyPhi]]]^3}]}, {}]}, {$CellContext`\[CurlyPhi], 0, 2 Pi, 2 
            Pi/$CellContext`points$$}, {$CellContext`i, 0.2, 1, 0.2}]}, 
         PlotRange -> 12 10^6 {{-1, 1}, {-1, 1}}, ImageSize -> {420, 420}], 
        Graphics3D[{{Blue, 
           Opacity[0.3], 
           Sphere[{0, 0, 0}, $CellContext`RE]}, 
          Point[{0, 0, 0}], {Dashed, 
           Arrowheads[Medium], 
           Arrow[{{0, 0, 0}, 12 10^6 {
               Cos[$CellContext`t$$], 
               Sin[$CellContext`t$$], 0}}]}, {Green, Dashed, 
           Arrowheads[Medium], 
           Arrow[{{0, 0, 0}, 12 10^6 {1, 0, 0}}]}, 
          Table[{
            Point[
             $CellContext`f[$CellContext`\[Theta], $CellContext`\[CurlyPhi]]], 
            If[$CellContext`moon$$, {
              Arrowheads[Small], 
              Arrow[{
                $CellContext`f[$CellContext`\[Theta], \
$CellContext`\[CurlyPhi]], $CellContext`f[$CellContext`\[Theta], \
$CellContext`\[CurlyPhi]] + (3 
                  10^12 $CellContext`GmM/$CellContext`r1$$^2) {-
                   Cos[$CellContext`t$$], -Sin[$CellContext`t$$], 0} + 
                3 10^12 $CellContext`GmM ($CellContext`r1$$ {
                    Cos[$CellContext`t$$], 
                    Sin[$CellContext`t$$], 
                    0} - $CellContext`f[$CellContext`\[Theta], $CellContext`\
\[CurlyPhi]])/Norm[$CellContext`r1$$ {
                    Cos[$CellContext`t$$], 
                    Sin[$CellContext`t$$], 
                    0} - $CellContext`f[$CellContext`\[Theta], $CellContext`\
\[CurlyPhi]]]^3}]}, {}], 
            If[$CellContext`sun$$, {Green, 
              Arrowheads[Small], 
              Arrow[{
                $CellContext`f[$CellContext`\[Theta], \
$CellContext`\[CurlyPhi]], $CellContext`f[$CellContext`\[Theta], \
$CellContext`\[CurlyPhi]] + (3 
                  10^12 $CellContext`GmS/$CellContext`r2$$^2) {-1, 0, 0} + 
                3 10^12 $CellContext`GmS ({$CellContext`r2$$, 0, 
                    0} - $CellContext`f[$CellContext`\[Theta], $CellContext`\
\[CurlyPhi]])/Norm[{$CellContext`r2$$, 0, 
                    0} - $CellContext`f[$CellContext`\[Theta], $CellContext`\
\[CurlyPhi]]]^3}]}, {}], 
            If[$CellContext`result$$, {Red, 
              Arrowheads[Small], 
              Arrow[{
                $CellContext`f[$CellContext`\[Theta], \
$CellContext`\[CurlyPhi]], $CellContext`f[$CellContext`\[Theta], \
$CellContext`\[CurlyPhi]] + (3 
                  10^12 $CellContext`GmM/$CellContext`r1$$^2) {-
                   Cos[$CellContext`t$$], -Sin[$CellContext`t$$], 0} + 
                3 10^12 $CellContext`GmM ($CellContext`r1$$ {
                    Cos[$CellContext`t$$], 
                    Sin[$CellContext`t$$], 
                    0} - $CellContext`f[$CellContext`\[Theta], $CellContext`\
\[CurlyPhi]])/Norm[$CellContext`r1$$ {
                    Cos[$CellContext`t$$], 
                    Sin[$CellContext`t$$], 
                    0} - $CellContext`f[$CellContext`\[Theta], $CellContext`\
\[CurlyPhi]]]^3 + (3 10^12 $CellContext`GmS/$CellContext`r2$$^2) {-1, 0, 0} + 
                3 10^12 $CellContext`GmS ({$CellContext`r2$$, 0, 
                    0} - $CellContext`f[$CellContext`\[Theta], $CellContext`\
\[CurlyPhi]])/Norm[{$CellContext`r2$$, 0, 
                    0} - $CellContext`f[$CellContext`\[Theta], $CellContext`\
\[CurlyPhi]]]^3}]}, {}]}, {$CellContext`\[Theta], 0, 2 Pi, 2 
            Pi/$CellContext`points$$}, {$CellContext`\[CurlyPhi], 0, 2 Pi, 2 
            Pi/$CellContext`points$$}]}, PlotRange -> 
         12 10^6 {{-1, 1}, {-1, 1}, {-1, 1}}, ImageSize -> {420, 420}, Boxed -> 
         False, SphericalRegion -> True, ViewAngle -> Pi/9]], 
      "Specifications" :> {
       "poloha M\[EHacek]s\[IAcute]ce", {{$CellContext`t$$, 0, ""}, 0, 2 Pi, 
         ImageSize -> Tiny, Appearance -> "Closed"}, Delimiter, 
        "vzd\[AAcute]lenost Zem\[EHacek]-M\[EHacek]s\[IAcute]c", \
{{$CellContext`r1$$, 3.844*^8, ""}, 3.57*^8, 4.07*^8, ImageSize -> Tiny, 
         Appearance -> "Closed"}, 
        "vzd\[AAcute]lenost Zem\[EHacek]-Slunce", {{$CellContext`r2$$, 
          1.496*^11, ""}, 1.471*^11, 1.521*^11, ImageSize -> Tiny, Appearance -> 
         "Closed"}, Delimiter, 
        "dimenze", {{$CellContext`dim$$, 2, ""}, {2 -> " 2D ", 3 -> " 3D "}}, 
        Delimiter, 
        "po\[CHacek]et bod\[URing]", {{$CellContext`points$$, 8, ""}, 
         Dynamic[
          If[$CellContext`dim$$ == 2, {8, 16, 32, 64}, {8, 16, 32}]], 
         ControlType -> Setter}, Delimiter, 
        "slapov\[EAcute] s\[IAcute]ly", {{$CellContext`moon$$, True, ""}, {
         True, False}, ControlPlacement -> 
         1}, {{$CellContext`sun$$, True, ""}, {True, False}, ControlPlacement -> 
         2}, {{$CellContext`result$$, True, ""}, {True, False}, 
         ControlPlacement -> 3}, 
        Grid[{{
           Manipulate`Place[1], 
           "M\[EHacek]s\[IAcute]ce (\[CHacek]ern\[EHacek])"}, {
           Manipulate`Place[2], "Slunce (zelen\[EHacek])"}, {
           Manipulate`Place[3], "obou (\[CHacek]erven\[EHacek])"}}, Alignment -> 
         Left], Delimiter, 
        Item["Autor: Tom\[AAcute]\[SHacek] Franc"]}, 
      "Options" :> {ControlPlacement -> Left}, "DefaultOptions" :> {}],
     ImageSizeCache->{599., {239., 244.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(($CellContext`GmS = 132712 10^15; $CellContext`GmM = 
       0.0049 10^15; $CellContext`RE = 6.378 10^6; $CellContext`g[
         Pattern[$CellContext`i, 
          Blank[]], 
         Pattern[$CellContext`\[CurlyPhi], 
          Blank[]]] := $CellContext`i $CellContext`RE {
          Cos[$CellContext`\[CurlyPhi]], 
          Sin[$CellContext`\[CurlyPhi]]}; $CellContext`f[
         Pattern[$CellContext`\[Theta], 
          Blank[]], 
         Pattern[$CellContext`\[CurlyPhi], 
          Blank[]]] := $CellContext`RE {
         Cos[$CellContext`\[Theta]] Cos[$CellContext`\[CurlyPhi]], 
          Cos[$CellContext`\[Theta]] Sin[$CellContext`\[CurlyPhi]], 
          Sin[$CellContext`\[Theta]]}); Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.5794518113802776`*^9, 3.579452004124398*^9, 3.5794520571427016`*^9, {
   3.5794521553195415`*^9, 3.579452173632967*^9}, {3.579452207790944*^9, 
   3.579452245230336*^9}, {3.5794536636056995`*^9, 3.579453669856016*^9}, 
   3.5891889774221606`*^9, 3.5891898614703035`*^9, 3.5891900539021254`*^9, {
   3.5891904054671745`*^9, 3.589190417983446*^9}, 3.5891907224713397`*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1187, 760},
WindowMargins->{{4, Automatic}, {Automatic, 0}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 146, 2, 101, "Title"],
Cell[CellGroupData[{
Cell[750, 28, 29579, 693, 1679, "Input"],
Cell[30332, 723, 13284, 254, 532, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
